Thread Verfasser: Rolly8-HL
Thread ID: 58
Thread Info
Es gibt 7 Beiträge zu diesem Thema, und es wurde 5498 Mal angesehen.
 Thema drucken
Wetter Panel 1.1
Rolly8-HL
Hallo ich habe festgestellt das mir diese Panel einige andere durcheinander bringt.
Die mitgelieferte styles.css wirkt sich auf andere negativ aus.
Um das dennoch zu testen habe ich die openweather_panel.php und styles.css spezifiziert.
Beispiel: openweather_panel.php geändert
Code
openside ($wetter['001']." in ".$stadt."");
echo"<div id='openweather'>";

Inhalt


echo "</div></div>";
closeside ();


styles.css

Code
#openweather img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
}

#openweather hr {
  margin: 20px 0;
  border: 0;
  border-top: 1px solid #eeeeee;
  border-bottom: 1px solid #fff;
  border-bottom: 1px solid rgba(255, 255, 255, 0.5);
}


damit wird schon wenigsten ein Teil der Fehler behoben, nach allen andere habe ich noch nicht gesucht.
rolly8-hl.de/images/photoalbum/album_2/vor.jpg

rolly8-hl.de/images/photoalbum/album_2/nach.jpg

Bearbeitet von Rolly8-HL am 29.11.2013 um 12:03
Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
 
Janilein
Wozu echo "</div></div>"; ? In dem Panel werden alle div's korrekt geschlossen, dein eingebrachter Code ist so jedenfalls nicht korrekt.
 
Dat Tunes
Danke für die Meldung , die sollte eigendlich auch gar nicht mehr im Download sein, da die nicht mehr benötigt wird.

Download wird heute im noch geupdatet.
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht.
Was lernen wir ?
Wir entfernen einfach den Nutzer und das Problem ist gelöst !

Sollte das Problem nicht gelöst sein, WD40! WD40 hilft immer !
 
Rolly8-HL
@Janilein der eingebrachte Code ist korrekt.
Wenn ich
echo"<div id='openweather'>";
zusätzlich einbringe, muss ich
echo "</div>";
damit
echo "</div></div>";
erweitern erst dann ist es wieder Korrekt.
Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
 
Janilein
Aso, du hast das <div id='openweather'> extra hinzugefügt, ja dann ist es korrekt, denn dein Code/Beitrag oben ist etwas missverständlich. Smile
 
madison
Zitat: Dat Tunes schrieb:

Danke für die Meldung , die sollte eigendlich auch gar nicht mehr im Download sein, da die nicht mehr benötigt wird.

Download wird heute im noch geupdatet.


hallo erstmal,
was sollte nicht mehr im Download sein ...die styles.css?
Ich habe das Panel heute abend hier von der Seite heruntergeladen und genau nach Readme installiert und das Panel aktiviert.
Danach war jedoch meine ganze Seite zerschossen. Habe mir dann diesen thread durchgelesen und war danach der Meinung, das die styles.css nicht mehr in den css Ordner gehört und habe sie dann auf dem Server gelöscht.
Meine Seite dann aktuallisiert und siehe da, die Seite wurde wieder korrekt mit dem Wetter Panel angezeigt.
Dann habe ich noch die Zeilen: 26+27 in der openweather_panel.php auskommentiert.
Code
add_to_head ('<link rel="stylesheet" href="'.INFUSIONS.'openweather_panel/css/styles.css">
<link rel="stylesheet" href="'.INFUSIONS.'openweather_panel/css/font.css">');


Aber ich bekomme immer noch 2 Fehler im Error Log angezeigt!

Fehler 1:
openweather_panel/openweather_panel.php
Undefined offset: 1 Zeile: 104
Code
$ergebnis5 = $teile4[0] . '.' . substr($teile4[1],0,1);


Fehler 2:
openweather_panel/openweather_panel.php
Undefined offset: 1 Zeile: 100
Code
$ergebnis3 = $teile2[0] . '.' . substr($teile2[1],0,1);


Woran kann das liegen? B)
 
Dat Tunes
Bin leider noch nicht dazu gekommen, das Panel zu Updaten.

Die Zeile
Code
<link rel="stylesheet" href="'.INFUSIONS.'openweather_panel/css/font.css">

sollte man nicht auskommentieren, da diese wichtige Styles für die Darstellungen der Schriften beinhaltet.

Die Fehlermeldung die er dir anzeigt, sind die umrechnungen von Temperatur und noch einigen weiteren.

Diese sind nach neuen PHP Standart in den neuen Version ungültig. Zur Zeit weisst dich der ErrorLog nur darauf hin, was aber noch nicht die Funktion beeinflusst.

In einer neueren Version werde ich dies aber auf den neusten Stand bringen.
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht.
Was lernen wir ?
Wir entfernen einfach den Nutzer und das Problem ist gelöst !

Sollte das Problem nicht gelöst sein, WD40! WD40 hilft immer !
 
Springe ins Forum: